Bug 627492 - Differences between man page and program --help
Differences between man page and program --help
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ypbind (Show other bugs)
6.4
All Linux
low Severity medium
: rc
: 6.5
Assigned To: Matej Mužila
Jakub Prokes
: Patch
Depends On:
Blocks: 947782 1159825
  Show dependency treegraph
 
Reported: 2010-08-26 04:09 EDT by Juraj Marko
Modified: 2017-04-07 15:20 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Different program options in program help an in man pages. Consequence: Invalid man pages and program help Fix: Synchronize program help and man pages. Result: Correct program options in man pages and in program help
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-04-07 15:20:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Juraj Marko 2010-08-26 04:09:16 EDT
Description of problem:
The program reported 13 option(s)
The man page reported 13 option(s)
10 COMMON option(s):
	--version
	-broadcast
	-broken-server
	-c
	-debug
	-f
	-no-ping
	-verbose
	-ypset
	-ypsetme
3 option(s) reported by the program ONLY:
	-i
	-local_only
	-p
3 option(s) reported by the man page ONLY:
	-d
	-ping-interval
	-v


Version-Release number of selected component (if applicable):
ypbind-1.17.2-14

How reproducible:
100%

Steps to Reproduce:
1. # ./compare-options.sh /sbin/ypbind
2. or run ypbind --help
3. then run man ypbind
4. compare written options
  
Actual results:
The options are not same

Expected results:
The options are same
Comment 7 Honza Horak 2013-03-13 13:49:17 EDT
There is no chance to fix this in RHEL-5 any more, since RHEL 5.10 is going to include only serious fixes. Re-assigning to RHEL-6.
Comment 35 Honza Horak 2017-04-07 15:20:58 EDT
Red Hat Enterprise Linux 6 shipped its last Production 2 phase minor
release, RHEL 6.9, on March 21, 2016. On May 10, 2017, RHEL 6 exits
Production 2 phase and moves into Production 3 phase. For RHEL releases
in Production 3 phase, Red Hat will provide critical-impact security
fixes and urgent priority bug fixes for the last minor release but will
not provide any software enhancements or hardware enablement. 

This BZ does not appear to meet the Product 3 phase inclusion criteria
described above so is being closed WONTFIX. If this BZ is critical for
your environment, please open a case in the Red Hat Customer Portal,
https://access.redhat.com, provide a thorough business justification and
ask that the BZ be re-opened for consideration. Please note, only
critical-impact security fixes and urgent priority bug fixes will be
considered, and no software enhancements or hardware enablement will be
performed.

Note You need to log in before you can comment on or make changes to this bug.